BreakByShz(&info,&r)
{
   // для распределения отпуска
  int n,k;
  double r9;
  int rowkod[ROWMAX];
  var Prop=GetPropOfCod(GetCode(info.crow));
  int id_combine=GetIDCombineOfCod(GetCode(info.crow));
  Prop.SetCombine(id_combine);
  var ts1 = CreateObject("TempCommonSrc");
  ts1.TempCommonSrcInitial(CMN_SRC_C_WORK);
  SetCommonProp(CMN_SRC_C_WORK,Prop);

  var ListPartTable = CreateObject("KListPartitionTables");
  unsigned idPartTable = ListPartTable.AddTable(0);
  ListPartTable.ClearBlock();

  for (int i=-1;i>-4;i--)
     ListPartTable.s100("н",i,14,r9);
  // ListPartTable.ViewTable(idPartTable);

  var PartTable = ListPartTable.GetTable(idPartTable);
  PartTable.SetBegin();
  if ( PartTable.End() ) 
       return code_Break;

  n=poiskosnkod(info.ikod+0.,rowkod,0,0);
  for ( ; !PartTable.End(); PartTable.Next() ) // добавить виды по ШПЗ
  { 
     string Shz = PartTable.GetKey();
     k = 0;
     for(int i=0; i<n && !k; i++)
     { 
        if( !CompareSHZ(Shz,GetShifrZatrSumC1(rowkod[i],mrasch)) )
          k=1;
     }
     if (k==0)
     {
       otkrsnu(info.ikod+0.,0.,205001.01,0,Shz,0);
       PutSumm(countkod-1,colc1,PartTable.GetSumma());
       PutCashMonth(countkod-1,colc2,mtek);
     }
   }

   PartTable.SetBegin();
   for ( ; !PartTable.End(); PartTable.Next() ) // заполнить ШПЗ
   {
      string Shz = PartTable.GetKey();
      if( !CompareSHZ(Shz,GetShifrZatrSumC1(info.crow,mrasch)) )
      {  
         info.n1=PartTable.GetSumma();
         return code_Break;
      }
   }
   info.n1 = 0.;
   return code_Break;
}
